apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: previews
  namespace: argocd
  finalizers:
    - resources-finalizer.argocd.argoproj.io
spec:
  project: previews
  source:
    repoURL: https://gitlab.com/fslhome-public/argocd/app-of-apps/angular-spa/front-acd.git
    targetRevision: HEAD
    path: helm
  destination:
    server: https://kubernetes.default.svc
    namespace: previews
  syncPolicy:
    automated:
      selfHeal: true
      prune: true